//
//  AppDelegate.m
//  EcondaTrackingTest
//
//  Created by Sebastian Scherrmann on 13.07.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"
#import "ETTrackingSession.h"

@implementation AppDelegate

@synthesize window = _window;
@synthesize viewController = _viewController;
@synthesize trackingSession=_trackingSession;

- (void)dealloc
{
    [_window release];
    [_viewController release];
    [_trackingSession release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];

    // Account registration key, retrieved from Econda support.
    NSString *clientKey = @"xxxxxxxx-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx";
    
    
    // Instantiate new TrackerSession in Batch Mode.
    // Data of all PageViews is collected and only submitted, if you call [_trackingSession submitBatch]
    // If you always want to submit the generated data immediately to the tracking server, then use:
    // ETTrackingSession *session = [[ETTrackingSession alloc] initWithClientKey:clientKey secure:YES];
    
    ETTrackingSession *session = [[ETTrackingSession alloc] initWithClientKey:clientKey secure:YES batchAutoTransmitTimeout:10];
    self.trackingSession = session;
    [session release];
    
    
    
    self.viewController = [[[ViewController alloc] initWithNibName:@"ViewController" bundle:nil] autorelease];
    self.window.rootViewController = self.viewController;
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    
    
    // You should use synchron mode here, because data must be surely transmitted before the program switches to the background. 
    [_trackingSession submitBatch:YES];
    [_trackingSession nextSession];
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
