//
//  ETBasketItem.h
//  EcondaTracking
//
//  Copyright (c) 2002-2011  econda GmbH Karlsruhe
//  All rights reserved.
//

#import <Foundation/Foundation.h>


/**
 * ETBasketItem is the representation of a basket/shopping-cart
 * item (article detail information).
 */

@interface ETBasketItem : NSObject


/**----------------------------------------------------
 * @name Creating and Initializing Basket Items
 * ---------------------------------------------------
 */

/** Initialize a Basket Item with the given parameters
 
 @param productID productID
 @param productName productName
 @param price price
 @param productGroup productGroup
 @param quantity quantity
 @param variant1 variant1
 @param variant2 variant2
 @param variant3 variant3
 */

- (id)initWithProductID:(NSString*)productID
            productName:(NSString*)productName
                  price:(double)price
           productGroup:(NSString*)productGroup
               quantity:(int)quantity
               variant1:(NSString*)variant1
               variant2:(NSString*)variant2
               variant3:(NSString*)variant3;


/**----------------------------------------------------
 * @name Getting and setting values
 * ---------------------------------------------------
 */

/** 
 */
@property(nonatomic, retain) NSString *productGroup;

/**
 */
@property(nonatomic, retain) NSString *productID;

/**
 */
@property(nonatomic, retain) NSString *productName;

/**
 */
@property(nonatomic, retain) NSString *variant1;

/**
 */
@property(nonatomic, retain) NSString *variant2;

/** 
 */
@property(nonatomic, retain) NSString *variant3;

/** 
 */
@property(nonatomic, assign) double price;

/** 
 */
@property(nonatomic, assign) int quantity;


@end
