//
//  ViewController.m
//  EcondaTrackingTest
//
//  Created by Sebastian Scherrmann on 13.07.12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"
#import "ETTrackingSession.h"
#import "ETTrackingPageView.h"
#import "AppDelegate.h"


@interface ViewController (private)
- (ETTrackingPageView*)_examplePageView;
- (ETBasketItem*)_exampleBasketItem;
@end



@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // Create a new page view object
    ETTrackingPageView *pageView = [self _examplePageView];
    
    // Create a new basket item object and add it to the page view
    ETBasketItem *basketItem = [self _exampleBasketItem];
    [pageView addProductView:basketItem];
    
    // Get reference to the tracking session from the application delegate
    ETTrackingSession *session = [(AppDelegate*)[[UIApplication sharedApplication] delegate] trackingSession];
    
    // Add the created pageview to the tracking session as a batch item
    [session addPageView:pageView transmitMode:ETTransmitModeLaterBatch];
}


#pragma mark - Actions

- (IBAction)transmitAction:(id)sender
{
    // Create a new page view object
    ETTrackingPageView *pageView = [self _examplePageView];
    
    // Create a new basket item object and add it to the page view
    ETBasketItem *basketItem = [self _exampleBasketItem];
    [pageView addProductView:basketItem];
    
    // Get reference to the tracking session from the application delegate
    ETTrackingSession *session = [(AppDelegate*)[[UIApplication sharedApplication] delegate] trackingSession];
    
    // Add the created pageview to the tracking session and submit it immediately asynchron
    [session addPageView:pageView transmitMode:ETTransmitModeImmediatelyAsync];
}



#pragma mark - Example data generation

- (ETTrackingPageView*)_examplePageView
{
    ETTrackingPageView *pageView = [[ETTrackingPageView alloc] init];
    
    [pageView addContent:(@"Tests/Testseite")];
    [pageView addSearch:@"queryString" numberOfHits:4];
    [pageView addContact:@"ContactData"];
    [pageView addDownload:@"MyFile.zip"];
    [pageView addLogin:@"uli" result:0];
    [pageView addOrderProcess:@"1_Warenkorb"];
    [pageView addRegister:@"uli" result:122];
    [pageView addSiteId:@"myshop.de"];
    [pageView addPageId:@"Tests/Testseite"];
    [pageView addBilling:@"R-1234567" customerId:@"K-001" total:300.0 country:@"Germany" cip:@"76131" city:@"Karlsruhe"];
    [pageView addTarget:@"product-info-download" additionalInfo:@"example.pdf" score:1.0 targetRule:ETTargetRuleUseMonitorDefaultSettings];
    
    return [pageView autorelease];
}


- (ETBasketItem*)_exampleBasketItem
{
    ETBasketItem *basketItem = [[ETBasketItem alloc] initWithProductID:@"P-1003"
                                                           productName:@"ECONDA Monitor 5.000.000 PI"
                                                                 price:149.9
                                                          productGroup:@"EMOS/Shops/EMOS 5.000.000 PI"
                                                              quantity:1
                                                              variant1:@"ECONDA"
                                                              variant2:@"5.000.000"
                                                              variant3:@"Shops"];
    
    return [basketItem autorelease];
}

@end
